Netgear
NETGEAR 28-Port PoE Gigabit/10G Stackable Smart Switch (GS728TXP)
SKU GS728TXP-300EUS
24 GE ports, 4 10G ports, PoE+, 440 x 257 x 43.2 mm, 3.8 kg
Request a price
Quoted to you, usually same day
Quotes usually the same working day•Trade & 30-day credit accounts•Real people, no chatbots
Overview
Specifications
| Management features | |
|---|---|
| Switch type | Unmanaged |
| Quality of Service (QoS) support | Yes |
| MIB support | RFC 1213 MIB II, RFC 1643, RFC 1493 |
| Ports & interfaces | |
| Basic switching RJ-45 Ethernet ports quantity | 48 |
| Basic switching RJ-45 Ethernet ports type | Gigabit Ethernet (10/100/1000) |
| Copper ethernet cabling technology | 10BASE-T |
| I/O ports | 48 x 10/100/1000 Mbps 4 x SFP |
| Network | |
| Copper ethernet cabling technology | 10BASE-T |
| Networking standards | IEEE 802.1p, IEEE 802.3az |
| Full duplex | Yes |
| Link aggregation | Yes |
| Flow control support | Yes |
| Ethernet LAN data rates | 1000 Mbit/s |
| Data transmission | |
| Jumbo frames | 12.288 |
| Packet buffer memory | 1.5 MB |
| MAC address table | 8000 entries |
| Jumbo frames support | Yes |
| Maximum data transfer rate | 1 Gbit/s |
| Design | |
| Safety | CE mark, cUL IEC950/EN60950 |
| Product colour | Grey |
| Rack mounting | Yes |
| Number of fans | 2 fan(s) |
| Redundant fans support | Yes |
| Performance | |
| Mean time between failures (MTBF) | 570972 h |
| Packet buffer memory | 1.5 MB |
| Power | |
| Power consumption (max) | 410 W |
| AC input voltage | 100 - 240 V |
| AC input frequency | 50/60 Hz |
| Input current | 8 A |
| Power source | AC/DC |
| Power over Ethernet (PoE) | |
| Power over Ethernet (PoE) power per port | 30 W |
| Total Power over Ethernet (PoE) budget | 380 W |
| Power over Ethernet (PoE) | Yes |
| Other features | |
| Latency | 2,900ns |
| Connectivity technology | Wired |
| Bandwidth | 96 Gbit/s |
| Authentication method | 802.1x |
| I/O ports | 48 x 10/100/1000 Mbps 4 x SFP |
| Electromagnetic emissions | CE mark, FCC Part 15 Class A, VCCI Class A, C-Tick |
| Warranty period | 2 year(s) |
| Ethernet LAN data rates | 1000 Mbit/s |
| Operational conditions | |
| Storage temperature (T-T) | -20 - 70 °C |
| Operating temperature (T-T) | 0 - 50 °C |
| Operating relative humidity (H-H) | 10 - 90% |
| Operating altitude | 0 - 3000 m |
| Heat dissipation | 34.2 BTU/h |
| Weight & dimensions | |
| Width | 440 mm |
| Depth | 310 mm |
| Height | 43 mm |
| Weight | 4.6 kg |
| Technical details | |
| Product colour | Grey |
| Mean time between failures (MTBF) | 570972 h |
| Rack mounting | Yes |
| Warranty period | 2 year(s) |
| Compliance certificates | CB, CE, Federal Communications Commission (FCC), KC, Low Voltage Directive (LVD), RCM, UL, VCCI |
| Certificates | |
| Safety | CE mark, cUL IEC950/EN60950 |
| Electromagnetic emissions | CE mark, FCC Part 15 Class A, VCCI Class A, C-Tick |
| Compliance certificates | CB, CE, Federal Communications Commission (FCC), KC, Low Voltage Directive (LVD), RCM, UL, VCCI |
| Memory | |
| Packet buffer memory | 1.5 MB |
Why buy from us
Quotes usually turned around the same working day.
Netgear
SKU GS728TXP-300EUS
24 GE ports, 4 10G ports, PoE+, 440 x 257 x 43.2 mm, 3.8 kg
Request a price
Quoted to you, usually same day
Netgear
SKU GS752TXP-300EUS
48 x GE ports, 4 x 10G ports, 440 x 310 x 43.2 mm, 5.03 kg
Request a price
Quoted to you, usually same day
Netgear
SKU MS510TXM-100EUS
Managed, L2+, 4x 1G/2.5G, 4x 1G/2.5G/5G/10G, 2x SFP+, 330.2 x 206.3 x 43.2 mm
Request a price
Quoted to you, usually same day
Netgear
SKU MS510TXUP-100EUS
Managed, L2+, 4x 1G/2.5G, 4x 1G/2.5G/5G/10G, 2x SFP+, 8 PoE++, 330.2 x 206.3 x 43.2 mm
Request a price
Quoted to you, usually same day
Send us your list
Volume, bundles, configuration and trade terms — send us the full list and we'll quote the lot, usually the same working day.
We use cookies to analyse site traffic, measure our advertising, and improve your experience. Essential cookies are always active as they are necessary for the site to function. You can choose whether to allow analytics and marketing cookies. Read our Privacy Policy